Bug 749678 - CVE-2011-4082 phpldapadmin: local file inclusion flaw fixed in 0.9.8 [epel-4]
Summary: CVE-2011-4082 phpldapadmin: local file inclusion flaw fixed in 0.9.8 [epel-4]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: phpldapadmin
Version: el4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-4082
TreeView+ depends on / blocked
 
Reported: 2011-10-27 21:13 UTC by Vincent Danen
Modified: 2011-10-31 15:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-31 15:41:31 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-10-27 21:13:36 UTC
epel-4 tracking bug for phpldapadmin: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]

Comment 1 Dmitry Butskoy 2011-10-28 12:36:01 UTC
The bug was fixed upstream in 0.9.7 .

EPEL4 has 0.9.8.3 at least several years.

Moreover, the first phpldapadmin version appeared in Fedora at all was 0.9.7 .

What the reason of this bug ticket?

Comment 2 Dmitry Butskoy 2011-10-28 12:40:51 UTC
Sorry, surely fixed in 0.9.8 

Anyway, 0.9.8.x should be in EPEL4 since 2006 ...

Comment 3 Vincent Danen 2011-10-28 18:44:09 UTC
The report indicates it was fixed in 0.9.8.5, and we have 0.9.8.3 in EPEL4, so I don't believe it is fixed in EPEL4.

Comment 4 Dmitry Butskoy 2011-10-31 12:24:44 UTC
> The report indicates it was fixed in 0.9.8.5

Actually, it was fixed in 0.9.8 . Only versions <= 0.9.7 are vulnerable (and it is mentioned in the report).

Compare comon.php" files of 0.9.8.3 and 0.9.8.5 -- it is similar.


0.9.8.3 is in EPEL4 at least since Jul 2009.

IMHO, "close currentrelease" ?

Comment 5 Vincent Danen 2011-10-31 15:41:31 UTC
Ah, ok, perfect.  Thank you for checking.  I'll close this then.


Note You need to log in before you can comment on or make changes to this bug.